<template>
  <section class="mt-6">
    <v-skeleton-loader
      class="w-full md:w-[316px]"
      height="56"
    />

    <section class="grid grid-cols-12 gap-4 md:gap-6 mt-4">
      <Container class="col-span-12 xl:col-span-6">
        <v-skeleton-loader
          height="24"
          width="192"
        />

        <section class="flex items-center justify-center mt-6">
          <v-skeleton-loader
            height="20"
            width="192"
          />
        </section>

        <section
          v-for="(n, rowIndex) in 5"
          :key="n"
          class="flex items-center gap-4 mt-4"
        >
          <section
            v-for="(k, colIndex) in 7"
            :key="k"
            class="flex items-center justify-center basis-[calc(100%/7)]"
          >
            <v-skeleton-loader
              v-if="!(
                (rowIndex === 0 && [0, 1, 2].includes(colIndex)) ||
                (rowIndex === 4 && [5, 6].includes(colIndex))
              )"
              width="32"
              height="32"
              class="rounded-full"
            />

            <section v-else />
          </section>
        </section>
      </Container>

      <section class="col-span-12 xl:col-span-6 grid grid-cols-12 gap-4 md:gap-6">
        <Container
          v-for="n in 6"
          :key="n"
          class="h-full col-span-12 md:col-span-6 !p-4 border-l-gray-300 border-l-4"
        >
          <section class="h-full flex items-center gap-4">
            <v-skeleton-loader
              class="rounded-full"
              height="48"
              width="48"
            />

            <section class="flex-auto">
              <v-skeleton-loader
                height="26"
                width="100%"
              />

              <v-skeleton-loader
                class="mt-1"
                height="18"
                width="80%"
              />
            </section>
          </section>
        </Container>
      </section>

      <Container class="col-span-12 xl:col-span-6">
        <v-skeleton-loader
          height="24"
          width="192"
        />

        <v-skeleton-loader
          class="aspect-[16/8] mt-4"
          height="auto"
          width="100%"
        />
      </Container>

      <Container class="col-span-12 xl:col-span-6">
        <v-skeleton-loader
          height="24"
          width="192"
        />

        <v-skeleton-loader
          class="aspect-[16/8] mt-4"
          height="auto"
          width="100%"
        />
      </Container>
    </section>
  </section>
</template>

<script setup lang="ts">
import Container from '@/components/layout/Container.vue';
</script>